Get a manufacturer by ID
GET
/v3/manufacturers/{manufacturers_id}
const url = 'https://example.com/v3/manufacturers/1';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v3/manufacturers/1 \ --header 'X-API-Key: <X-API-Key>'Provides a manufacturer by manufacturer ID
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” manufacturers_id
required
Manufacturers Id
Limit the results to a specific manufacturers id
integer
Limit the results to a specific manufacturers id
Responses
Section titled “ Responses ”Successful Response
Media type application/json
ManufacturersResponse
object
meta
results
required
Results
Array<object>
Manufacturerobject
id
required
Id
integer
name
required
Name
string
instruments
required
Instruments
Array<object>
InstrumentBaseobject
id
required
Id
integer
name
required
Name
string
Example
{ "meta": { "name": "openaq-api", "website": "/", "page": 1, "limit": 100 }}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}